# RaspiQRP

This is a project that takes:

* an SDR stick
* a Raspberry Pi Zero 2 W
* an USB audio card
* some wires, indicators and screens
* an RF amplifier

and turns them into a full-fledged QRP!

Currently there is no prototype, yet there is a plan present, which is good.

The total cost of this device seems to be around 90€, while the cheapest QRP I found on Aliexpress is 100€.
This difference might seem insignificant, but I bet that you have at least 70% of the supplies needed somewhere in your shack.
The screens, buttons and leds are absolutely replaceable, but you'll need to tweak the code a it.

As of right now, the planned device will be composed of:

## 1. Raspberry Pi Zero
<img src="https://cdn.littlebird.com.au/images/files/000/032/722/large/LB-00152.jpg?1535774731" alt="raspi"  width="200px" align="left">

<ul>
	<li> To take input from a potentiometer(encoder) in order to shift the frequency that we want to TX/RX.</li>  
	<li> To control the RTL-SDR stick and pipe the audio to the speaker, through the USB audio card.</li>  
	<li> To stream audio from the microphone, and pipe it to <a href="https://github.com/F5OEO/rpitx">rpitx(this project is really cool)<sup>1</sup></a> which then will get amplified using the amp.</li>  
</ul>
<sub>1. Please do read about this project, as it is vital stepping stone for this one.</sub>
<br><br>  
<br><br> 
<br><br> 
  

## 2. Arduino TM4638 board
<img src="https://www.elektro-hofman.cz/_obchody/elektro-hofman.shop5.cz/prilohy/39/pametovy-modul-spi-na-sd-kartu-pro-arduino.jpg.big.jpg" width="200px" alt="TM4638" align="left"/>   

<ul>
	<li> Using <a href="https://github.com/gavinlyonsrepo/TM1638plus_RPI">this library</a>.</li>
	<li> To spare us of the pain of wiring an LCD.  </li>
	<li> View the current frequency we're at.  </li>
	<li> To let us change the bands, using the 8 buttons on the bottom. </li>  
	<li> Indicate states of the device using the LEDs.  </li>
</ul>

	 
<br><br>
<br><br>
<br><br>

# Wiring
![Wiring image](./wiring/wiring_bb.png)
Sorry in advance for the trashy diagram, but this is my first ever attempt at wiring diagrams. The rtl-sdr and the audio card need to be put in the usb port, using a hub of some sort.

